Site Tools


Rhino 5 Plug-in Development

Developer: C++
Summary: Developing plug-ins for Rhino 5.

Requirements

Overview

If you distribute plug-ins built with the Rhino 5 C++ SDK, you need to understand the differences between 32-bit and 64-bit Rhino 5.

More information

Rhino 5 is available in both 32-bit and 64-bit versions.

  • A 32-bit C++ plug-in will not run in 64-bit Rhino 5.
  • A 64-bit C++ plug-in will not run in 32-bit Rhino 5.

32-bit plug-ins

  • A 32-bit plug-in built with the Rhino 4 C++ SDK will run in the 32-bit version of Rhino 5.
  • A 32-bit plug-in built with the Rhino 5 C++ SDK will only run in the 32-bit version of Rhino 5.

What this means to 32-bit plug-in developers:

  • If you can write your 32-bit plug-in using the Rhino 4 C++ SDK, do so because it will work in both Rhino 4 and the 32-bit version Rhino 5.
  • If you need to use a new feature found in the Rhino 5 C++ SDK, then your 32-bit plug-in will only work in the 32-bit version Rhino 5.

64-bit plug-ins

  • There is no 64-bit version of Rhino 4.
  • All 64-bit plug-ins require the 64-bit version of Rhino 5.

Supporting new Rhino 5 features

There are several new features available in the Rhino 5 SDK. Take advantage of them.

More details...

developer/sdksamples/rhino5.txt ยท Last modified: 2015/09/30 by sandy